%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Autoloader_Cache
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Autoloader-Cache
Version:        2.1.4
Release:        1%{?dist}
Summary:        Cache for the Horde_Autoloader library

Group:          Development/Libraries
License:        LGPLv2.1
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})

BuildRequires:  php-channel(pear.horde.org)
Requires:       php-channel(pear.horde.org)

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
BuildRequires:       gettext
#Requires:       php-spl
BuildRequires:  php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:	php-pear(%{pear_channel}/Horde_Autoloader)
#Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Util) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Support) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Icalendar) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Icalendar) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Date) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Exception) >= 3.0.0
# Optional
#Requires:       php-pear(%{pear_channel}/Horde_Db) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Db) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Imap_Client) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Imap_Client) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Text_Filter) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Text_Filter) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Test) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Test) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Mail) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Mail) >= 3.0.0
#Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
#Conflicts:      php-pear(%{pear_channel}/Horde_Mime) >= 3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
Provides:       php-composer(horde/horde-autoloader) = %{version}

%description
Extension of the Horde_Autoloader that implements caching of class-file-maps. 
The caching method is determined automatically from the list of supported cache 
backends: APC, XCache, eAccelerator, local file system.

%prep
%setup -q -c
#[ -f package2.xml ] || mv package.xml package2.xml
#mv package2.xml %{pear_name}-%{version}/%{name}.xml

cd %{pear_name}-%{version}

## Don't install .po and .pot files
## Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/Horde_Other.po/d' \
    -e '/%{pear_name}.mo/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml


%build

%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

## Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files 
%doc %{pear_docdir}/%{pear_name}
%{_bindir}/horde-autoloader-cache-prune
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Autoloader/Cache.php
%{pear_phpdir}/Horde/Autoloader/Cache/Bootstrap.php


%changelog
* Sat Feb 13 2021 josef radinger <cheese@nosuchhost.net> - 2.1.4-1
- bump version

* Tue Sep 19 2017 josef radinger <cheese@nosuchhost.net> - 2.1.3-1
- bump version

* Sat Sep 17 2016 josef radinger <cheese@nosuchhost.net> - 2.1.2-2
- we have no locales

* Fri Jul 31 2015 josef radinger <cheese@nosuchhost.net> - 2.1.2-1
- bump version
- add provides php-composer(horde/horde-autoloader)

* Wed Jan 07 2015 josef radinger <cheese@nosuchhost.net> - 2.1.1-1
- bump version

* Sun Apr 13 2014 josef radinger <cheese@nosuchhost.net> - 2.1.0-1
- bump version
- add Bootstrap

* Mon Mar 31 2014 josef radinger <cheese@nosuchhost.net> - 2.0.7-1
- bump version

* Wed Nov 13 2013 josef radinger <cheese@nosuchhost.net> - 2.0.6-1
- bump version

* Sun Sep 15 2013 josef radinger <cheese@nosuchhost.net> - 2.0.5-1
- initial package
